/* debug-push-vars.c */
#include <stdio.h>
#include "rml.h"



RML_BEGIN_LABEL(RML__debug_5fpush_5fvars)
{
	if (execution_type == RMLDB_STEP || rmldb_show == RMLDB_SHOW)
	{
		rmldb_sprintf ("\n-------------\n");
		rml_var_print(rmlA0);
		rmldb_sprintf ("\n-------------\n");
	}
	RML_TAILCALLK(rmlSC);
}
RML_END_LABEL

/* these functions add:
 * rmlAX   variable name
 * rmlAX+1 variable
 * to the formal parameter list of next goal */

RML_BEGIN_LABEL(RML__debug_5fpush_5fin01)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin02)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin03)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin04)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin05)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin06)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin07)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin08)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin09)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin10)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin11)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin12)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA22, rmlA23); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin13)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA24, rmlA25); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin14)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA26, rmlA27); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin15)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA26, rmlA27); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA28, rmlA29); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fin16)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA26, rmlA27); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA28, rmlA29); 
	rml_debug_add_var(RML_DEBUG_VAR_IN, rmlA30, rmlA31); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL

/* these functions add:
 * rmlAX variable name
 * rmlAX+1 variable
 * to the result list of last goal */

RML_BEGIN_LABEL(RML__debug_5fpush_5fout01)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout02)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout03)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout04)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout05)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout06)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout07)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout08)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout09)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout10)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout11)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout12)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA22, rmlA23); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout13)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA24, rmlA25); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout14)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA26, rmlA27); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout15)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA26, rmlA27); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA28, rmlA29); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL
RML_BEGIN_LABEL(RML__debug_5fpush_5fout16)
{
	if (execution_type == RMLDB_FAST) RML_TAILCALLK(rmlSC);
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA0, rmlA1); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA2, rmlA3); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA4, rmlA5); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA6, rmlA7); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA8, rmlA9); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA10, rmlA11); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA12, rmlA13); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA14, rmlA15); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA16, rmlA17); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA18, rmlA19); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA20, rmlA21); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA22, rmlA23); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA24, rmlA25); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA26, rmlA27); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA28, rmlA29); 
	rml_debug_add_var(RML_DEBUG_VAR_OUT, rmlA30, rmlA31); 
	RML_TAILCALLK(rmlSC);
}RML_END_LABEL


